import mcUtils from "../src/index";

test("ensureGetPlayerLookupSuccess", async () => {
  const response = await mcUtils.player.getPlayer("Notch");
  const { player } = response;

  expect(player).toBeDefined();
  expect(player).toHaveProperty("username");
});

test("ensureGetPlayerUuidSuccess", async () => {
  const player = await mcUtils.player.getPlayerUuid("Notch");

  expect(player).toBeDefined();
  expect(player).toHaveProperty("username");
  expect(player).toHaveProperty("uniqueId");
});

test("ensureGetPlayerSkinPartSuccess", async () => {
  const response = await mcUtils.player.getPlayer("Notch");
  const { player } = response;

  const skin = player.skin;
  const skinParts = skin.parts;

  // Test each skin part
  for (const part in skinParts) {
    const partBuffer = await mcUtils.player.getPlayerSkinPart(part, player.uniqueId);
    expect(partBuffer).toBeDefined();
    expect(partBuffer.byteLength).toBeGreaterThan(0);
  }
});
